"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const Display = require("../force-cli/force-cli-display");
class SchemaSObjectDescribeCommand {
    async execute(context) {
        return await exports.describeSingleObject(context, context.flags.sobjecttype);
    }
}
exports.SchemaSObjectDescribeCommand = SchemaSObjectDescribeCommand;
exports.describeSingleObject = async function (context, sobjecttype) {
    const force = context.org.force;
    let description = context.flags.usetoolingapi
        ? await force.toolingDescribe(context.org, context.flags.sobjecttype)
        : await force.describe(context.org, context.flags.sobjecttype);
    Display.info(description);
    return description;
};

//# sourceMappingURL=schemaSObjectDescribeCommand.js.map
